<script lang="ts" setup>
import { useEmployeeStore } from "@/stores/employee";
import { onMounted } from "vue";
import EmployeeDialog from "@/views/employee/EmployeeDialog.vue";

const employeeStore = useEmployeeStore();

onMounted(async () => {
  await employeeStore.getEmployees();
});
</script>
<template>
  <EmployeeDialog />
  <v-btn class="ma-10" color="green" @click="employeeStore.dialog = true"
    >Add New</v-btn
  >
  <v-table>
    <thead>
      <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Price</th>
        <th>Operations</th>
        <th>Phone</th>
        <th>Salery</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item of employeeStore.employees" :key="item.id">
        <td>{{ item.id }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.role }}</td>
        <td>{{ item.phone }}</td>
        <td>{{ item.salary }}</td>
        <td>
          <v-btn
            class="mr-5"
            color="orange"
            @click="employeeStore.editEmployee(item)"
            >Edit</v-btn
          >
          <v-btn color="red" @click="employeeStore.confirmDelete(item.id)"
            >Delete</v-btn
          >
        </td>
      </tr>
    </tbody>
  </v-table>
</template>
